code stringlengths 2 1.05M | repo_name stringlengths 5 110 | path stringlengths 3 922 | language stringclasses 1
value | license stringclasses 15
values | size int64 2 1.05M |
|---|---|---|---|---|---|
#!/bin/bash
#
# Copyright 2016 The Bazel Authors. All rights reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by... | variac/bazel | src/test/shell/integration/run_test.sh | Shell | apache-2.0 | 10,285 |
#!/bin/bash
cd "$(dirname $0)"
# This file will process the results for all the cbmi's
CBMI_NAMES=( "cbm1 cbm2 cbm3" )
STORAGES=( "scratch" "gpfs" )
AUTO_CBM_DIR="$(realpath "../../..")"
RES_DIR="$AUTO_CBM_DIR/results"
PREF="[Auto CBM] -"
for STORAGE in ${STORAGES[@]}
do
# CBM1
for FILEOUT in ${RES_DIR}/${CBMI... | mF2C/COMPSs | performance_analysis/auto-cbm/scripts/get-results/cbmi/save-cbmi-csvs.sh | Shell | apache-2.0 | 2,297 |
#!/bin/sh
prog=$(basename "$0")
if ! [ -S /var/run/docker.sock ]
then
echo "$prog: there are no running docker" >&2
exit 2
fi
cd "$(dirname "$0")" || exit
PATH=$(pwd):$PATH
plugin=$(basename "$(pwd)")
if ! which "$plugin" >/dev/null
then
echo "$prog: $plugin is not installed" >&2
exit 2
fi
export REDIS_PASSWORD=... | mackerelio/mackerel-agent-plugins | mackerel-plugin-redis/test.sh | Shell | apache-2.0 | 758 |
#!/bin/bash
JOB_DIR=work/jobs/test1
WS=$JOB_DIR/workspace
if [[ -f pom.xml ]] ; then
mkdir -vp $WS/module/target
mkdir -vp $WS/module/bugs
cp -vr src/test/resources/bugs-01/* $WS/module/bugs/
cp -vr target/surefire-reports $WS/module/target/
echo "This is content of built artifact" > $WS/module/ta... | kape1395/jenkins-ditz-plugin | test-setup.sh | Shell | apache-2.0 | 426 |
#!/bin/bash
# Copyright 2019 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to ... | googleapis/synthtool | synthtool/gcp/templates/java_library/.kokoro/build.sh | Shell | apache-2.0 | 3,462 |
#!/bin/bash
nomuser=$1
if sudo grep -q =$nomuser.codshare /etc/tinydns/root/data; then
sudo echo "Ce fqdn existe deja!"
else
sudo echo =$nomuser.codshare.itinet.fr:88.177.168.133:86400 >> /etc/tinydns/root/data
fi
cd /etc/tinydns/root/
sudo make
| DimitriTchapmi/codshare | scripts/addfqdn.sh | Shell | apache-2.0 | 260 |
#!/bin/bash
app_id='3483409'
app_domain='http://oauth.vk.com/blank.html'
url=https://oauth.vk.com/authorize\?client_id\=${app_id}\&scope=offline,audio\&redirect_uri=${app_domain}\&display=page\&response_type=token
if [[ "$OSTYPE" == "darwin"* ]]; then open ${url}; else xdg-open ${url}; fi;
echo -n "Enter access_to... | bavadim/vk-music | vk_access_token.sh | Shell | apache-2.0 | 426 |
#!/bin/bash
# please note that this code works only within Google Cloud Shell
GCE_SERVICE_ACCOUNT="$(gcloud compute project-info describe | grep defaultServiceAccount | awk '{ print $2; }')" | favsto/intech-compute-balancing | support/setup/worker_image/cloud_shell_prepare_env.sh | Shell | apache-2.0 | 191 |
#!/bin/bash
# Version: 1.4
# Date: 2021-06-29
# This bash script generates a CMSIS Software Pack:
#
# Pre-requisites:
# - bash shell (for Windows: install git for Windows)
# - git in path (for Windows: install git for Windows)
# - 7z in path (zip archiving utility)
# e.g. Ubuntu: sudo apt-get install p7zip-full p7zip... | ARM-software/CMSIS_5 | CMSIS/Utilities/gen_pack.sh | Shell | apache-2.0 | 9,155 |
#!/bin/bash
echo "Error messages for missing gem, git, and librarian-puppet are expected the first run"
hash gem || apt-get install rubygems -y
hash git || apt-get install -y git
hash librarian-puppet || gem install librarian-puppet
cat puppet.conf > /etc/puppet/puppet.conf
mkdir -p /etc/puppet/environments/dev/site
... | danieldreier/webserver-site-module | example/setup_webserver.sh | Shell | apache-2.0 | 509 |
#!/bin/sh
#
# Script to build the Desktop Client without having to use Titanium Developer. Locations of
# The various directories changes from platform to platform. Should work on OS X and Linux;
# Windows, I dunno.
#
# Where the StatusNet Desktop project lives
APP_DIR="$HOME/Documents/Projects/statusnet-client/StatusN... | brion/statusnet-client | StatusNet Desktop/build.sh | Shell | apache-2.0 | 689 |
#!/bin/bash
#
# Prepares distribution package which can be uploaded into s3
# Called by 'gradle makeH2oDevDist'
#
set -e
set -x
# Set common variables.
TOPDIR=$(cd `dirname $0` && pwd)
HADOOP_VERSIONS="cdh5.2 cdh5.3 cdh5.4.2 hdp2.1 hdp2.2 mapr3.1.1 mapr4.0.1"
function make_zip_common {
PROJECT_BASE=$1
IMAGEDIR=... | ChristosChristofidis/h2o-3 | make-dist.sh | Shell | apache-2.0 | 3,809 |
#!/bin/bash
set -e
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
LDAP_NAME=${LDAP_NAME:-openldap}
SLAPD_PASSWORD=${SLAPD_PASSWORD:-$1}
SLAPD_DOMAIN=${SLAPD_DOMAIN:-$2}
LDAP_IMAGE_NAME=${LDAP_IMAGE_NAME:-openfrontier/openldap}
GERRIT_ADMIN_UID=${GERRIT_ADMIN_UID:-$3}
GERRIT_ADMIN_PWD=${GERRIT_ADMIN_PWD:-$4}
GE... | openfrontier/openldap-docker | createOpenLDAP.sh | Shell | apache-2.0 | 1,711 |
#!/bin/bash
#stat received messages
ll
| melon-li/tools | netem/recmnum.sh | Shell | apache-2.0 | 40 |
curl -XGET 'localhost:9200/_analyze?pretty' -d '
{
"analyzer" : "standard",
"text" : "this is a test"
}'
| yangaofeng/x_socket | elasticsearch/map_and_analyze/analyze.sh | Shell | apache-2.0 | 117 |
# File with common functions for shell-driven tests.
# Copyright (C) 2009-2010 Ulrik Mikaelsson. All rights reserved
#
# License:
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http:/... | rawler/bithorde | tests/common.sh | Shell | apache-2.0 | 2,481 |
#!/bin/bash
# Copyright 2019 Google, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicabl... | dennishuo/dataproc-initialization-actions | ranger/ranger.sh | Shell | apache-2.0 | 11,312 |
#!/bin/bash
# Define a bunch of functions and set a bunch of variables
TEST_DIR=$(readlink -f `dirname "${BASH_SOURCE[0]}"` | grep -o '.*/oshinko-s2i/test/e2e')
source $TEST_DIR/common
set_worker_count $S2I_TEST_WORKERS
function ephemeral_app_completed_scaled_driver() {
set_defaults
clear_spark_sleep
run... | rimolive/oshinko-s2i | test/e2e/ephemeral/ephemeral_app_completed_scaled_driver.sh | Shell | apache-2.0 | 1,166 |
cat $1 | nc localhost 10101
| jrecursive/protograph | load-graph.sh | Shell | apache-2.0 | 28 |
#!/usr/bin/env bash
# Copyright 2016 The Kubernetes Authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applica... | u2takey/kubernetes | cluster/gce/gci/health-monitor.sh | Shell | apache-2.0 | 4,120 |
# Update node 1 as node
source `dirname $0`/../../functions.sh PATCH $*
curl $copts -X PATCH -H 'Content-Type: application/json' -H 'Accept: application/json' -H "Authorization:Basic $EXCHANGE_NODEAUTH" -d '{
"publicKey": ""
}' $EXCHANGE_URL_ROOT/v1/nodes/1 | $parse
| cgiroua/exchange-api | src/test/bash/patch/nodes/1-node-publicKey-blank.sh | Shell | apache-2.0 | 270 |
BootstrapMac() {
if ! hash brew 2>/dev/null; then
echo "Homebrew Not Installed\nDownloading..."
ruby -e "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install)"
fi
brew install augeas
brew install dialog
if ! hash pip 2>/dev/null; then
echo "pip Not Installed\nInst... | twstrike/le_for_patching | letsencrypt-auto-source/pieces/bootstrappers/mac.sh | Shell | apache-2.0 | 520 |
#!/bin/bash
##############################################################################
# Copyright (c) 2016 HUAWEI TECHNOLOGIES CO.,LTD and others.
#
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the Apache License, Version 2.0
# which accompanies this di... | grakiss888/testapi | docker/db/launch_db.sh | Shell | apache-2.0 | 3,647 |
#!/bin/bash -vx
cd /tmp
rm -rf example-*
mvn archetype:generate -B -X \
-DarchetypeGroupId=de.katerkamp.szoo \
-DarchetypeArtifactId=website-project-archetype \
-DarchetypeVersion=0.5.3-SNAPSHOT
cd /tmp
mvn archetype:generate -B -X \
-DarchetypeGroupId=de.katerkamp.szoo \
-DarchetypeArtifactId=webapp-archetype \
-... | skaterkamp/szoo-faces | testArche.sh | Shell | apache-2.0 | 517 |
#Need to read the start and end numbers from a file at some point.
source settings.py
cd partial_results
for i in $(eval echo {${START_IDX}..${END_IDX}})
do
echo "#!/bin/bash
#PBS -N PLDA_chunk
#PBS -l select=1:ncpus=${PLDA_CPUS}:mem=16gb:interconnect=mx
#PBS -l walltime=4:00:00
#PBS -j oe
m... | groppcw/CLDA | scripts/v1/02-qrunPLDAseparately.sh | Shell | apache-2.0 | 733 |
#!/bin/sh
#=============================================================================
# @license
# Copyright 2018 Google LLC. All Rights Reserved.
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the Licens... | tensorflow/tfjs-examples | baseball-node/scripts/download-data.sh | Shell | apache-2.0 | 1,753 |
#!/usr/bin/env bash
# Starts the master on the machine this script is executed on.
bin=`dirname "$0"`
bin=`cd "$bin"; pwd`
. "$bin/Yosemite-config.sh"
if [ -f "${YOSEMITE_CONF_DIR}/Yosemite-env.sh" ]; then
. "${YOSEMITE_CONF_DIR}/Yosemite-env.sh"
fi
if [ "$YOSEMITE_MASTER_PORT" = "" ]; then
YOSEMITE_MASTER_POR... | zhanghan1990/Yosemite | bin/start-master.sh | Shell | apache-2.0 | 1,331 |
#!/usr/bin/env bash
set -euo pipefail
# shellcheck source=common.sh
source "$(dirname "$0")"/common.sh
CREDENTIALS=$(cat "${ROOT}"/environment/credentials.json)
TEST_HOST=$(jq -n -r --argjson credentials "${CREDENTIALS}" '"api.sys.\($credentials.name).cf-app.com"')
export TEST_HOST
TEST_PASSWORD=$(jq -n -r --argjs... | cloudfoundry/java-buildpack-system-test | ci/system-test.sh | Shell | apache-2.0 | 565 |
#!/usr/bin/env bash
# author: elephantatech
# date: 2017-03-17
# backup the bunch of folder and/or files with this script
#
set -e
echo "##############################################"
echo "# Backup and restore tool #"
echo "##############################################"
backup_config()
{
tar... | elephantatech/bashtoolbox | backupscript/simple_backup_restore.sh | Shell | apache-2.0 | 739 |
set -ex
# Docker Variables
NAME=vite_server
USER=thevite
DOCKER_NAME="${USER}/${NAME}"
TAG=${1:-latest}
cp build/libs/${NAME}-*.jar docker/${NAME}.jar
docker build docker/ -t ${DOCKER_NAME}:${TAG}
rm docker/${NAME}.jar
| theVite/vite_server | docker/dockerize.sh | Shell | apache-2.0 | 221 |
##[ NethServer 6.5 ]############################################################
#
# REV 2.0
# 30 NOV 2014, JK Benedict
# xenfomation.servercide.com | @xenfomation
#
# XENSERVER AND TEMPLATE INFORMATION:
#
# OPINION : WORKS WELL
#
# INTENDED FOR : XenServer 6.5
# TESTED ON : XenServer 6.5
# DISTRO : CentOS 6.5
# A... | xenfomation/xenplates | vm-NethServer-6.5.sh | Shell | bsd-2-clause | 1,976 |
#!/bin/sh
echo "🧹 Running chores (brew and gem updates, cleanup)"
sudo -v
# Keep-alive: update existing `sudo` time stamp until `chores` has finished
while true; do sudo -n true; sleep 60; kill -0 "$$" || exit; done 2>/dev/null &
echo "🧹 brew"
brew update && brew upgrade && brew cleanup && brew doctor
echo "🧹 ge... | podkovyrin/dotfiles | chores/chores.sh | Shell | bsd-2-clause | 436 |
#!/bin/sh
# toolchain flags + bzip flags + fpic
export CFLAGS="${CFLAGS} -Wall -Winline -O2 -g -D_FILE_OFFSET_BITS=64 -fPIC"
make install PREFIX=${PREFIX} CFLAGS="$CFLAGS" CC="$GCC"
# build shared library
if test `uname` = "Linux"
then
make -f Makefile-libbz2_so CFLAGS="$CFLAGS" CC="$GCC"
ln -s libbz2.so.${PKG_V... | conda/conda-concourse-ci | tests/data/one-off-recipes/bzip2/recipe/build.sh | Shell | bsd-3-clause | 651 |
export SWALS_SRC='../../../src'
source ${SWALS_SRC}/test_run_commands
# Clean existing binary
rm ./BP1_testcases
rm -r ./OUTPUTS
# Build the code
make -B -f make_BP1_testcases > build_outfile.log
# In this case the R script does plotting and reports tests
Rscript plot.R
| GeoscienceAustralia/ptha | propagation/SWALS/examples/nthmp/BP01/run_model.sh | Shell | bsd-3-clause | 272 |
virtualenv venv
source venv/bin/activate
pip install -r deps.txt
| dirtycoder/benicio | install.sh | Shell | bsd-3-clause | 65 |
#!/bin/bash -e -x
# Configure salt.renderers.gpg
# See:
# https://docs.saltstack.com/en/latest/ref/renderers/all/salt.renderers.gpg.html
GPG_HOMEDIR="/etc/salt/gpgkeys"
DEFAULT_KEY_NAME="provis-salt"
DEFAULT_KEY_PATH="exported_pubkey.gpg"
install_python_gnupg() {
pip install -v python-gnupg
}
generate_keypair()... | westurner/provis | scripts/setup_salt_gpg_renderer.sh | Shell | bsd-3-clause | 1,439 |
#!/bin/sh
PYTHONPATH=~/Documents/projects/kgeorge-cv/src/pybind/build:$PYTHONPATH python $1 $2
| kgeorge/kgeorge-cv | samples/hog/runpy.sh | Shell | bsd-3-clause | 98 |
#!/bin/bash
###
# @Author: your name
# @Date: 2021-09-10 09:55:24
# @LastEditTime: 2021-09-10 09:56:38
# @LastEditors: Please set LastEditors
# @Description: In User Settings Edit
# @FilePath: /gstore/scripts/init.sh
###
#set -v
#initialize system.db
#"bin/ginit" "-make" >& /dev/null
"bin/ginit" "--make"
| Caesar11/gStore | scripts/init.sh | Shell | bsd-3-clause | 316 |
#!/usr/bin/env bash
# Copyright 2010 The Go Authors. All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.
set -e
wiki_pid=
cleanup() {
kill $wiki_pid
rm -f test_*.out Test.txt final-test.bin final-test.go
}
trap cleanup 0 INT
go build -o get.bin ... | rflanagan/reginaldflanagan-project1 | doc/articles/wiki/test.bash | Shell | bsd-3-clause | 769 |
#!/bin/sh
rm -f ./data/temp/*
vendor/bin/mysql-workbench-schema-export --config=config/db-mwb.json ./db/school-cms.mwb
| hamichen/CMS | bin/export.sh | Shell | bsd-3-clause | 119 |
#!/usr/bin/env bash
{
nmfetch -r $REMOTE_CACHE && yarn postinstall
} || {
yarn
}
| newsuk/times-components | lib/custom_install.sh | Shell | bsd-3-clause | 86 |
#!/bin/bash
set -x
SYSTEM=`uname -a`
SOURCE_DIR=`pwd`
BUILD_DIR=${BUILD_DIR:-./build}
BUILD_TYPE=${BUILD_TYPE:-release}
INSTALL_DIR=${INSTALL_DIR:-/usr/local}
mkdir -p $BUILD_DIR/$BUILD_TYPE \
&& cd $BUILD_DIR/$BUILD_TYPE \
&& cmake \
-DCMAKE_BUILD_TYPE=$BUILD_TYPE \
-DCMAKE_INSTALL_PREFIX=... | QiumingLu/voyager | build.sh | Shell | bsd-3-clause | 426 |
./public_html/protected/vendor/bin/phing restory_install
read
| wowtransfer/chdphp | restory_install.sh | Shell | mit | 63 |
rm MoogStokesPy.pyf
f2py -m MoogStokesPy -h MoogStokesPy.pyf MoogStokessilent.f Begin.f Infile.f Getasci.f Nansi.f Getcount.f Synth.f Synspec.f Finish.f Opacit.f OpacHydrogen.f OpacHelium.f Opacmetals.f Opacscat.f Opaccouls.f Nearly.f Eqlib.f Partnew.f Cdcalc.f Jexpint.f Linlimit.f Prinfo.f Sunder.f Gammabark.f Rinteg.... | soylentdeen/MoogPy | MoogSource/regenerateMoogStokesSignatureFiles.sh | Shell | mit | 599 |
#!/usr/bin/env bash
# fail on any command exiting non-zero
set -eo pipefail
if [[ -z $DOCKER_BUILD ]]; then
echo
echo "Note: this script is intended for use by the Dockerfile and not as a way to build the database locally"
echo
exit 1
fi
apk add --update-cache \
build-base \
curl \
file \
gcc \
git... | imperodesign/paas-tools | deis/stg/database/build.sh | Shell | mit | 1,191 |
#!/bin/bash
files=`ls *.apk | xargs -n 1`
ls *.apk | xargs -n 1 apktool d -f
find . -name AndroidManifest.xml | xargs -n 1 head | grep 'package='
echo $files
| GdZ/scriptfile | sh/decode.apk.sh | Shell | mit | 158 |
#!/bin/bash
APP="./app"
MODULO=$1
CONTROLADOR_FOLDER="controllers"
CONTROLLER=$2
CONTROLADOR=${2^}'.php'
VIEWS_FOLDER="views"
THEME_FOLDER="views/theme"
VISTA=$3
METODO=$3
MODELS_FOLDER="models"
MODELO=${2^}'Model.php'
x=1
while [ $x -le 5 ]
do
if [ -d $APP ];
then
#MODULO
if [ -d $APP/$MODULO ];
then
... | dexternidia/redcomand | cli/generator/generatorAuth.sh | Shell | mit | 2,571 |
#!/bin/sh
# Install gflags for mac developers.
set -e
DIR=`mktemp -d /tmp/rocksdb_gflags_XXXX`
cd $DIR
wget https://gflags.googlecode.com/files/gflags-2.0.tar.gz
tar xvfz gflags-2.0.tar.gz
cd gflags-2.0
./configure
make
make install
# Add include/lib path for g++
echo 'export LIBRARY_PATH+=":/usr/local/lib"' >> ~/... | tristanz/node-rocksdb | deps/rocksdb/build_tools/mac-install-gflags.sh | Shell | mit | 731 |
#!/bin/bash
docker stop rasdaman-dev1 | matteomatassoni/rasdaman_docker | stop.sh | Shell | mit | 37 |
#!/bin/bash
##########################################################################
# This script prepares Skype application to be ready to be installed on
# 64 bits OS linux
# @author César Rodríguez González
# @version 1.3, 2016-08-09
# @license MIT
#################################################################... | cesar-rgon/desktop-app-installer | pre-installation/Skype_x64.sh | Shell | mit | 939 |
#!/bin/bash
set -e
git pull origin master
DEPENDENCY="coffee-react"
VERSION=`gem search "^$DEPENDENCY\$" --remote | egrep -o '[0-9]\.[0-9]\.[0-9]'`
echo "updating to $VERSION"
npm version $VERSION
bundle install
if [ -n "$(git status --porcelain)" ]; then
git commit -a
fi
rake test
read -p "will publish $VERSION. ar... | jsdf/sprockets-coffee-react | update.sh | Shell | mit | 445 |
command -v python >/dev/null 2>&1 || {
echo >&2 "Python not installed. Installing Python...";
sudo apt-get install software-properties-common python-software-properties
sudo add-apt-repository ppa:fkrull/deadsnakes
sudo apt-get update
sudo apt-get install --yes python2.7
ln -s /usr/bin/python2.... | theTechie/nosql-eval | scripts/install.sh | Shell | mit | 639 |
#!/bin/bash -eu
################################################################
#
# Copyright 2013, Big Switch Networks, Inc.
#
# Licensed under the Eclipse Public License, Version 1.0 (the
# "License"); you may not use this file except in compliance
# with the License. You may obtain a copy of the License at
#... | vezril/ivs | build/ivs-callgrind.sh | Shell | epl-1.0 | 1,013 |
#!/usr/bin/env bash
#
#
source `dirname $0`/common.sh
TEST_CASE="ATOS init audits"
# check user errors
$ROOT/bin/atos-init -b "undef" 2>&1 | grep -i "error: in build command, 'undef' executable not found"
[ ${PIPESTATUS[0]} = 1 ]
$ROOT/bin/atos-init -t "undef" 2>&1 | grep -i "error: in results command, 'undef' exec... | atos-tools/atos-utils | tests/test018.sh | Shell | gpl-2.0 | 2,743 |
#!/bin/sh
# Run this to generate all the initial makefiles, etc.
# Shamelessly ripped from glib.
srcdir=`dirname $0`
test -z "$srcdir" && srcdir=.
ORIGDIR=`pwd`
cd $srcdir
PROJECT=PyGtkGLExt
TEST_TYPE=-f
FILE=gtk/gdkgl/gdkglext-types.defs
DIE=0
have_libtool=false
if libtoolize --version < /dev/null > /dev/null 2>&1... | GNOME/pygtkglext | autogen.sh | Shell | gpl-2.0 | 2,051 |
#!/bin/bash
# Copyright 2012 Johns Hopkins University (Author: Guoguo Chen)
# Apache 2.0.
# Begin configuration section.
case_insensitive=true
use_icu=true
icu_transform="Any-Lower"
silence_word= # Optional silence word to insert (once) between words of the transcript.
# End configuration section.
echo $0 "$@"
he... | michellemorales/OpenMM | kaldi/egs/babel/s5d/local/kws_data_prep.sh | Shell | gpl-2.0 | 5,113 |
#!/bin/bash
#
# script runs mesher and solver (in serial)
# using this example setup
#
echo "running example: `date`"
currentdir=`pwd`
echo
echo "(will take a few minutes)"
echo
# sets up directory structure in current example directoy
echo
echo " setting up example..."
echo
mkdir -p OUTPUT_FILES
mkdir -p DATA
#... | Chancylin/specfem2d | EXAMPLES/infinite_homogeneous_moment_tensor_vertical_dip_slip/run_this_example.sh | Shell | gpl-2.0 | 998 |
<?php
/**
* @file
* This script runs Drupal tests from command line.
*/
define('SIMPLETEST_SCRIPT_COLOR_PASS', 32); // Green.
define('SIMPLETEST_SCRIPT_COLOR_FAIL', 31); // Red.
define('SIMPLETEST_SCRIPT_COLOR_EXCEPTION', 33); // Brown.
// Set defaults and get overrides.
list($args, $count) = simpletest_script_par... | EugenMayer/simpletest | run-tests.sh | Shell | gpl-2.0 | 20,511 |
python Google\ Drive/HT_seebeck_program/SeebeckGUIv3.py
| bobbymckinney/seebeck_measurement | program_hightemp/old versions/SeebeckGUIv3.command | Shell | gpl-3.0 | 56 |
#!/bin/bash
set -e
pegasus_lite_version_major="4"
pegasus_lite_version_minor="7"
pegasus_lite_version_patch="0"
pegasus_lite_enforce_strict_wp_check="true"
pegasus_lite_version_allow_wp_auto_download="true"
. pegasus-lite-common.sh
pegasus_lite_init
# cleanup in case of failures
trap pegasus_lite_signal_int INT
trap... | elainenaomi/sciwonc-dataflow-examples | dissertation2017/Experiment 1A/logs/w-11_2/20161108T004001+0000/00/00/calculateratio_0_ID0000015.sh | Shell | gpl-3.0 | 1,252 |
#!/bin/sh
# ad-hoc tests of chgrp with -R and -H or -L and symlinks
# Copyright (C) 2000-2017 Free Software Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of... | adtools/coreutils | tests/chgrp/recurse.sh | Shell | gpl-3.0 | 1,696 |
#!/bin/sh
# Test whether sort avoids opening more file descriptors than it is
# allowed when merging files.
# Copyright (C) 2009-2012 Free Software Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free ... | homer6/gnu_coreutils | tests/misc/sort-merge-fdlimit.sh | Shell | gpl-3.0 | 2,866 |
#!/bin/sh
#
# srecord - manipulate eprom load files
# Copyright (C) 2001, 2003, 2006-2008 Peter Miller
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either vers... | freyc/SRecord | test/00/t0068a.sh | Shell | gpl-3.0 | 1,363 |
#!/bin/sh
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be u... | hatchetation/freeipa | ipa-client/firefox/usersetup.sh | Shell | gpl-3.0 | 1,704 |
C:\\Qt\\Qt5.3.1\\Tools\\mingw482_32\\bin\\mingw32-make.exe clean
C:\\Qt\\Qt5.3.1\\5.3\\mingw482_32\\bin\\qmake.exe QCFramer.pro -r -spec win32-g++
C:\\Qt\\Qt5.3.1\\Tools\\mingw482_32\\bin\\mingw32-make.exe
| EmbolismSoil/QFramer | build.sh | Shell | lgpl-2.1 | 206 |
#!/bin/bash
# Copyright 2016-2018 Replay SDK (http://www.replay-sdk.com)
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
... | e-dot/bibliopuce | bin/setup_img.sh | Shell | apache-2.0 | 1,041 |
#!/bin/bash
# Copyright 2014 The Kubernetes Authors All rights reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless require... | iobeam/kubernetes | hack/local-up-cluster.sh | Shell | apache-2.0 | 9,336 |
#!/usr/bin/env bash
set -o errexit -o nounset -o pipefail
function print_help() {
echo "Usage: import-to-elasticsearch-from-2.0.0.sh [OPTIONS]"
echo "OPTIONS (Space delimited ex: --parameter value):"
printf "%-40s %-80s %s\n" "Parameter Name" "Description" "Default Value"
printf "%-40s %-80s %s\n" "my... | irontable/genie | genie-ddl/src/main/elasticsearch/import-to-elasticsearch-from-2.0.0.sh | Shell | apache-2.0 | 10,718 |
#!/bin/bash
source ./define.sh
# These should be run as root.
$GOPATH/bin/tao host init -tao_domain $DOMAIN -hosting process -root -pass $PASSWORD
sudo -E $GOPATH/bin/tao host start -tao_domain $DOMAIN -host linux_tao_host -pass $PASSWORD &
sleep 5
#
# Starting the programs should be done as the unprivileged user it ... | jlmucb/cloudproxy | go/apps/mixnet/scripts/run_simple.sh | Shell | apache-2.0 | 1,646 |
#!/bin/bash -xe
# vim: ts=4 sw=4 et
####
# This init is used to configure a base disco ami.
####
unset HTTP_PROXY
unset HTTPS_PROXY
unset http_proxy
unset https_proxy
discoaws_init_path="`dirname $0`"
discoaws_root="$discoaws_init_path/.."
source "`dirname $0`/common.sh"
#Source the disto specific phase 1 script
i... | amplifylitco/asiaq | sample_configuration/init/phase1.sh | Shell | bsd-2-clause | 684 |
#!/bin/sh
mkdir $HOME/nginx_
tar -zxvf apache-ab-test-files-1.tar.gz
tar -zxvf nginx-1.0.11.tar.gz
tar -zxvf httpd-2.2.17.tar.gz
# we need apache for ab, compile only apr,apt-utils,pcre and ab
cd httpd-2.2.17/
./configure --prefix=$HOME/httpd_ --enable-static-ab --without-http-cache
cd srclib/apr
make
cd ../apr-uti... | JanGe/intellicloudbench | src/main/resources/test-profiles/pts/nginx-1.1.0/install.sh | Shell | bsd-3-clause | 1,201 |
#!/bin/bash
if [ "-bash" = $0 ]; then
dirpath="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"
else
dirpath="$(cd "$(dirname "$0")" && pwd)"
fi
export TORQHOME=$dirpath # if running the kdb+tick example, change these to full paths
export TO... | FlyingOE/TorQ | setenv.sh | Shell | mit | 2,178 |
#!/bin/sh
ARDUINO=${HOME}/projects/arduino-1.5.2/hardware/
CC="${ARDUINO}/tools/g++_arm_none_eabi/bin/arm-none-eabi-gcc" CXX=c++ LDFLAGS="-mthumb -Wl,-gc-sections" CFLAGS="-O2 -ggdb -DF_CPU=84000000L -mcpu=cortex-m3 -mthumb -ffunction-sections -fdata-sections" cmake -DARCH=ARM -DWSIZE=32 -DOPSYS=DUINO -DSEED=LIBC -DSHL... | PIVX-Project/PIVX | src/chiabls/contrib/relic/preset/armduino-ecc-128k.sh | Shell | mit | 707 |
#! /usr/bin/env bash
$EXTRACTRC *.ui >> rc.cpp
$EXTRACTRC *.rc >> rc.cpp
$XGETTEXT *.cpp *.h -o $podir/libkmf.pot
rm -f rc.cpp | tectronics/kmediafactory | lib/Messages.sh | Shell | gpl-2.0 | 128 |
#! /bin/sh
# Copyright (C) 2001-2014 Free Software Foundation, Inc.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program ... | kuym/openocd | tools/automake-1.15/t/subobj5.sh | Shell | gpl-2.0 | 1,585 |
geth -datadir data init genesis.json
| illya13/ethermint | dev/init_genesis.sh | Shell | gpl-3.0 | 37 |
#!/bin/bash
for f in m4/*.m4 ; do
oldserial=$(grep "^#serial" $f | grep -o "[0-9]*" | head -n1)
if [ -z $oldserial ]; then
continue
fi
echo "Checking for newer version of: $f"
if wget -t 1 -T 0.5 -O $f.tmp "https://raw.githubusercontent.com/autoconf-archive/autoconf-archive/master/$f" >/dev/null 2>/dev/null ; ... | cr-marcstevens/fplll | .check-m4.sh | Shell | lgpl-2.1 | 732 |
#!/bin/bash
JOB_NAME=http_server_with_provides
RUN_DIR=/var/vcap/sys/run/$JOB_NAME
LOG_DIR=/var/vcap/sys/log/$JOB_NAME
PIDFILE=$RUN_DIR/pid
mkdir -p $RUN_DIR $LOG_DIR
chown -R vcap:vcap $RUN_DIR $LOG_DIR
exec 1>> $LOG_DIR/$JOB_NAME.stdout.log
exec 2>> $LOG_DIR/$JOB_NAME.stderr.log
source /var/vcap/packages/http_ser... | barthy1/bosh | src/spec/assets/links_releases/links_release_template/jobs/http_server_with_provides/templates/ctl.sh | Shell | apache-2.0 | 623 |
#!/bin/bash
echo -e "\033[0;32mDeploying updates to GitHub...\033[0m"
wd=`git rev-parse --show-toplevel`
cd "${wd}/docs"
# Build the project.
hugo # if using a theme, replace by `hugo -t <yourtheme>`
cd "${wd}"
# Add changes to git.
git add -A
# Commit changes.
msg="rebuilding site `date`"
if [ $# -eq 1 ]
then ms... | hartsock/go-swagger | hack/deploy-docs.sh | Shell | apache-2.0 | 515 |
#!/bin/bash
export CONF="Release"
export PATH="$PWD/Voxel/$CONF":$PATH
export PATH="/C/Users/x0227529/Documents/PCL 1.7.2/bin":$PATH
export PATH="/C/Users/x0227529/Documents/PCL 1.7.2/3rdParty/Boost/lib64-msvc-12.0":$PATH
export PATH="/C/Users/x0227529/Documents/PCL 1.7.2/3rdParty/FLANN/bin":$PATH
export PATH="/C/Use... | 3dtof/DemoApplications | Calculus/tv_auto_on_off/voxel-sdk/libvoxel-apps/App/pclviewer-win.sh | Shell | bsd-3-clause | 610 |
#!/bin/bash
##############################################################################
# Author: Tomas Babej <tbabej@redhat.com>
#
# Uninstalls the FreeIPA packages and server.
#
# Usage: $0
# Returns: 0 on success, 1 on failure
##############################################################################
DIR="$... | pvoborni/labtool | ipa-fun-uninstall-ipa.sh | Shell | mit | 917 |
#!/bin/bash
FN="miRBaseVersions.db_1.1.0.tar.gz"
URLS=(
"https://bioconductor.org/packages/3.12/data/annotation/src/contrib/miRBaseVersions.db_1.1.0.tar.gz"
"https://bioarchive.galaxyproject.org/miRBaseVersions.db_1.1.0.tar.gz"
"https://depot.galaxyproject.org/software/bioconductor-mirbaseversions.db/bioconductor... | bebatut/bioconda-recipes | recipes/bioconductor-mirbaseversions.db/post-link.sh | Shell | mit | 1,468 |
#!/bin/sh
# Copyright (C) 1999-2006 ImageMagick Studio LLC
#
# This program is covered by multiple licenses, which are described in
# LICENSE. You should have received a copy of LICENSE with this
# package; otherwise see http://www.imagemagick.org/script/license.php.
. ${srcdir}/tests/common.shi
${RUNENV} ${MEMCHECK} ... | ipwndev/DSLinux-Mirror | user/imagemagick/src/tests/rwfile_JP2_truecolor12.sh | Shell | gpl-2.0 | 365 |
#!/bin/sh
export LC_ALL="en_US.UTF-8"
# working directory of koreader
KOREADER_DIR="${0%/*}"
# we're always starting from our working directory
cd "${KOREADER_DIR}" || exit
# export load library path for some old firmware
export LD_LIBRARY_PATH="${KOREADER_DIR}/libs":"${LD_LIBRARY_PATH}"
# export trained OCR data d... | poire-z/koreader | platform/ubuntu-touch/koreader.sh | Shell | agpl-3.0 | 598 |
#!/usr/bin/env bash
test "the compilation of a static library" \
"$MAKE init" \
"cp ../assets/static_lib.f.mk Config.mk" \
"cp ../assets/simple_calc.dat ." \
"cp ../assets/simple_calc.f ." \
"cp ../assets/mathlib.f ." \
"$MAKE standard" \
"$MAKE" \
"./bin/simple_calc < ./data/simple_calc.dat" \
shoul... | renatocf/make | test/fortran/test_static-lib.sh | Shell | apache-2.0 | 350 |
#!/bin/bash
set -e # exit on an error
. ${NMZ_MATERIALS_DIR}/lib.sh
CHECK_PREREQUISITES
FETCH_ETCD
BUILD_DOCKER_IMAGE
exit 0
| osrg/namazu | example/etcd/3517-reproduce/materials/init.sh | Shell | apache-2.0 | 128 |
echo 'vagrant' | {{.Vars}} sudo -S -E bash '{{.Path}}'
| mohae/rancher-build-templates | packer_sources/centos/commands/execute.command | Shell | mit | 55 |
#!/bin/sh
cd "${0%/*}"
ROOTDIR=`pwd`
mkdir -p "$HOME/.vim/autoload"
mkdir -p "$HOME/.vim/ftplugin/go"
ln -fs "$ROOTDIR/autoload/gocomplete.vim" "$HOME/.vim/autoload/"
ln -fs "$ROOTDIR/ftplugin/go/gocomplete.vim" "$HOME/.vim/ftplugin/go/"
| nsf/gocode | vim/symlink.sh | Shell | mit | 238 |
#!/bin/sh
################################################################################
# #
# Copyright (c) 2009 FUJITSU LIMITED #
# ... | chenhuacai/ltp | testcases/kernel/controllers/cpuset/cpuset_syscall_test/cpuset_syscall_testset.sh | Shell | gpl-2.0 | 9,568 |
#!/bin/bash
for i in {1..20}
do
make clean &>/dev/null
printf "$i "
t=`(time make -j$i lib&>/dev/null) 2>&1 | grep real | sed -e "s/real[^0-9]*//g"`
echo "$t"
done
| JianpingCAI/libigl | scripts/make_j.sh | Shell | mpl-2.0 | 174 |
#!/bin/bash
set -e
set -x
if rpm -q --whatprovides kernel | grep -Fqv $(uname -r); then
rpm -q --whatprovides kernel | grep -Fv $(uname -r) | xargs sudo yum -y autoremove
fi
sudo yum --enablerepo=epel clean all
sudo yum history new
sudo truncate -c -s 0 /var/log/yum.log
| nlamirault/bento | scripts/centos/cleanup.sh | Shell | apache-2.0 | 276 |
#!/bin/csh
set targetExe = "ems combineLabels labelStats rreg areg nreg pareg pnreg prreg sareg snreg srreg motiontrack transformation stransformation ptransformation jacobian atlas dmap dof2flirt dof2image dof2mat dofinvert evaluation flirt2dof info image2dof convert threshold binarize mcubes padding blur dilation dm... | sk1712/IRTK | InstallerScripts/irtkInstaller.sh | Shell | bsd-3-clause | 798 |
#!/bin/sh
#
# Utility script to merge an xml snippet from one file into a document.
#
# To insert the file foo.inc into bar.xml,
# after the first line containing the marker <!--foo--> enter
#
# xml_insert.sh bar.xml foo foo.inc
#
# 2005 © Øyvind Kolås
#
# FIXME: add argument checking / error handling
: ${AWK="awk"}
:... | jonnor/gegl | tools/xml_insert.sh | Shell | lgpl-3.0 | 2,699 |
#!/bin/bash
if [ -z "$RED5_HOME" ]; then
export RED5_HOME=`pwd`;
fi
P=":" # The default classpath separator
OS=`uname`
case "$OS" in
CYGWIN*|MINGW*) # Windows Cygwin or Windows MinGW
P=";" # Since these are actually Windows, let Java know
;;
Darwin*)
;;
SunOS*)
if [ -z "$JAVA_HOME" ]; then
... | wakashige/red5-server | src/main/server/red5.sh | Shell | apache-2.0 | 1,702 |
#!/bin/bash
#
# This scripts starts the OpenShift server with a default configuration.
# The OpenShift Docker registry and router are installed.
# It will run all tests that are imported into test/extended.
source "$(dirname "${BASH_SOURCE}")/../../hack/lib/init.sh"
os::util::environment::setup_time_vars
os::build::se... | adelton/origin | test/extended/ldap_groups.sh | Shell | apache-2.0 | 11,509 |
: ==== start ====
# confirm that the network is alive
# note if umlswanroot uses debian ping, "ping -s might not work properly"
ping -n -c 4 -s 192.0.1.1 192.0.2.30
# make sure that clear text does not get through
iptables -A INPUT -i eth1 -s 192.0.0.0/16 -j DROP
# confirm with pings between all subnets
# west/left pic... | mcr/bluerose | testing/pluto/multinet-02/westinit.sh | Shell | gpl-2.0 | 542 |
#!/bin/bash
#
# check neutron l3 agents on routers
# only run on node with the floating ip
if ifconfig | grep {{ undercloud_floating_ip | default(floating_ip) }} > /dev/null 2>&1; then
/etc/sensu/plugins/check-neutron-l3-routers.py -r {{ sensu_checks.neutron.check_neutron_l3_routers.max_routers }} \
-d {{ sensu_ch... | wupeiran/ursula | roles/neutron-control/templates/check-neutron-l3-routers.sh | Shell | mit | 379 |
check()
{
if diff $1 $2; then
echo ok
else
echo fail
fi
}
export -f check
#for f in test*.sh; do
for f in test-query.sh test-genotypes.sh test-genotype-likelihoods.sh; do
sed 's/gemini query/gemini query --use-bcolz/' $f | bash
done
| heuermh/gemini | test/bcolz-test.sh | Shell | mit | 248 |
#!/bin/sh
# Ensure that parted leaves at least 2 sectors between the beginning
# of an extended partition and the first logical partition.
# Before parted-2.3, it could be made to leave just one, and that
# would cause trouble with the Linux kernel.
# Copyright (C) 2010-2012 Free Software Foundation, Inc.
# This prog... | Distrotech/parted | tests/t2310-dos-extended-2-sector-min-offset.sh | Shell | gpl-3.0 | 2,497 |
#!/bin/sh
TEST_PURPOSE=regress
TEST_PROB_REPORT=0
TEST_TYPE=umlplutotest
TESTNAME=food-groups-oe-or-die-02
EASTHOST=east
WESTHOST=west
REF_WEST_OUTPUT=../../klips/outputs/westnet-null.txt
WEST_ARPREPLY=true
REF_PUB_OUTPUT=publicnet-dns.txt
REF_PUB_FILTER=../../klips/fixups/no-arp-pcap.pl
REF_EAST_CONSOLE_OUTPUT=e... | mcr/bluerose | testing/pluto/food-groups-oe-or-die-02/testparams.sh | Shell | gpl-2.0 | 987 |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.